Loading...
Searching...
No Matches
navier_stokes_dg

## Detailed Description

Examples
  navier_stokes_dg.h, navier_stokes_taylor_newton_dg.cc, navier_stokes_upw_dg.h, and navier_stokes_upw_dg.icc.

Definition at line 25 of file navier_stokes_dg.h.

Inheritance diagram for navier_stokes_dg:

## Public Types

typedef Float | float_type
typedef Eigen::Matrix< field, 2, 1 > | value_type

## Public Member Functions

| navier_stokes_dg (Float Re, const geo &omega, string approx)
value_type | initial (string restart) const
value_type | residue (const value_type &uh) const
void | update_derivative (const value_type &uh) const
value_type | derivative_solve (const value_type &mrh) const
value_type | derivative_trans_mult (const value_type &mrh) const
Float | space_norm (const value_type &uh) const
Float | dual_space_norm (const value_type &mrh) const

## Public Attributes

Float | Re
space | Xh
space | Qh
integrate_option | iopt
form | a0
form | b
form | c
form | mu
form | mp
field | lh0
field | lh
field | kh
problem | pmu
problem | pmp
form | a1
problem_mixed | stokes1

## Member Typedef Documentation

## float_type

typedef Float float_type

Examples
  navier_stokes_dg.h.

Definition at line 26 of file navier_stokes_dg.h.

## value_type

typedef Eigen::Matrix<field,2,1> value_type

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_dg2.icc.

Definition at line 27 of file navier_stokes_dg.h.

## Constructor & Destructor Documentation

## navier_stokes_dg()

navier_stokes_dg | ( | Float | Re,
|  | const geo & | omega,
|  | string | approx
| ) |  |

Examples
  navier_stokes_dg1.icc.

Definition at line 25 of file navier_stokes_dg1.icc.

## Member Function Documentation

## initial()

navier_stokes_dg::value_type initial | ( | string | restart | ) | const

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_taylor_newton_dg.cc.

Definition at line 42 of file navier_stokes_dg1.icc.

## residue()

navier_stokes_dg::value_type residue | ( | const value_type & | uh | ) | const

Examples
  navier_stokes_dg.h, and navier_stokes_dg1.icc.

Definition at line 62 of file navier_stokes_dg1.icc.

## update_derivative()

void update_derivative | ( | const value_type & | uh | ) | const

Examples
  navier_stokes_dg.h, and navier_stokes_dg1.icc.

Definition at line 69 of file navier_stokes_dg1.icc.

## derivative_solve()

navier_stokes_dg::value_type derivative_solve | ( | const value_type & | mrh | ) | const

Examples
  navier_stokes_dg.h, and navier_stokes_dg1.icc.

Definition at line 76 of file navier_stokes_dg1.icc.

## derivative_trans_mult()

navier_stokes_dg::value_type derivative_trans_mult | ( | const value_type & | mrh | ) | const

Examples
  navier_stokes_dg.h, and navier_stokes_dg1.icc.

Definition at line 82 of file navier_stokes_dg1.icc.

## space_norm()

Float space_norm | ( | const value_type & | uh | ) | const

Examples
  navier_stokes_dg.h, and navier_stokes_dg2.icc.

Definition at line 25 of file navier_stokes_dg2.icc.

## dual_space_norm()

Float dual_space_norm | ( | const value_type & | mrh | ) | const

Examples
  navier_stokes_dg.h, and navier_stokes_dg2.icc.

Definition at line 28 of file navier_stokes_dg2.icc.

## Member Data Documentation

## Re

Float Re

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, navier_stokes_upw_dg.h, and navier_stokes_upw_dg.icc.

Definition at line 36 of file navier_stokes_dg.h.

## Xh

space Xh

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, navier_stokes_dg2.icc, and navier_stokes_upw_dg.icc.

Definition at line 37 of file navier_stokes_dg.h.

## Qh

space Qh

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_dg2.icc.

Definition at line 37 of file navier_stokes_dg.h.

## iopt

integrate_option iopt

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 38 of file navier_stokes_dg.h.

## a0

form a0

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 39 of file navier_stokes_dg.h.

## b

form b

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 39 of file navier_stokes_dg.h.

## c

form c

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 39 of file navier_stokes_dg.h.

## mu

form mu

Examples
  navier_stokes_dg.h, and navier_stokes_dg2.icc.

Definition at line 39 of file navier_stokes_dg.h.

## mp

form mp

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, navier_stokes_dg2.icc, and navier_stokes_upw_dg.icc.

Definition at line 39 of file navier_stokes_dg.h.

## lh0

field lh0

Examples
  navier_stokes_dg.h, and navier_stokes_dg1.icc.

Definition at line 40 of file navier_stokes_dg.h.

## lh

field lh

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 40 of file navier_stokes_dg.h.

## kh

field kh

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 40 of file navier_stokes_dg.h.

## pmu

problem pmu

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_dg2.icc.

Definition at line 41 of file navier_stokes_dg.h.

## pmp

problem pmp

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_dg2.icc.

Definition at line 41 of file navier_stokes_dg.h.

## a1

form a1

mutable

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 42 of file navier_stokes_dg.h.

## stokes1

problem_mixed stokes1

mutable

Examples
  navier_stokes_dg.h, navier_stokes_dg1.icc, and navier_stokes_upw_dg.icc.

Definition at line 43 of file navier_stokes_dg.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/navier_stokes_dg.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/navier_stokes_dg1.icc
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/navier_stokes_dg2.icc